package net.javajigi.abs.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.abs.model.AirBookingService;
import net.javajigi.abs.model.ScheduleInfo;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/** 
 * @struts.action
 *      path="/viewScheduleInfo"
 *      input="/airplane2.jsp"
 *      scope="request"
 *      validate="false"
 *
 * @struts.action-forward
 *      name="success"
 *      path="/airplane3.jsp"
 */
public class ViewScheduleInfoAction extends SignonAction{
	public ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		int code = Integer.parseInt(request.getParameter("scheduleCode"));
		String date = request.getParameter("date");

		AirBookingService abs = AirBookingService.getInstance();
		ScheduleInfo scheduleInfo = abs.getScheduleInfo(code, date); 
		
		request.setAttribute("scheduleInfo", scheduleInfo);		
			
		return mapping.findForward("success");
	}
}
