package net.javajigi.struts.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import net.javajigi.struts.form.UserForm;
import net.javajigi.user.UserManager;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      path="/login"
 *      scope="request"
 *		input="/struts/login.jsp"
 *      name="userForm"
 *
 * @struts.action-forward
 *      name="user_list"
 *      path="/user_list.do"
 * 		redirect="true"
 */
public class LoginAction extends Action {

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		UserForm userForm = (UserForm) form;
			
		//𵨿 α ó .
		UserManager manager = UserManager.instance();
		manager.login(userForm.getUserId(), userForm.getPassword());
		
		//ǿ  ̵ .
		HttpSession session = request.getSession();
		session.setAttribute("userId", userForm.getUserId());
		
		//̵  .
		return mapping.findForward("user_list");
	}

}
