package net.javajigi.user.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.abs.action.SignonAction;
import net.javajigi.user.model.UserManager;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.config.ModuleConfig;

/**
 * @struts.action
 *      path="/user_list"
 *      scope="request"
 *
 * @struts.action-forward
 *      name="user_list"
 *      path="/user_list.jsp"
 */
public class ListAction extends SignonAction{
	/**
	 * UserManager list޽带 ȣϿ 
	 * List response ϴ ҽڵ尡 . 
	 * list.jsp response  Listü ̿Ѵ.
	 */
	public ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {

		UserManager manager = UserManager.instance();
		List userList = manager.findUserList(1, 10);
		
		//      ü 
		//request Ͽ ϰ ִ.
		//̰   RequestDispatcher ̿ϱ ̴.
		request.setAttribute("userList", userList);	
				
		ModuleConfig config = mapping.getModuleConfig();
				
		return mapping.findForward("user_list");
	}
}
