package net.javajigi.user.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import net.javajigi.abs.Constants;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/** 
 * @struts.action
 *      path="/logout"
 *      scope="request"
 *      validate="true"
 */
public class LogoutAction extends Action {
	private Log log = LogFactory.getLog(net.javajigi.user.action.LogoutAction.class);

	public ActionForward execute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
			
		HttpSession session = request.getSession();
		session.removeAttribute(Constants.USER_KEY);

		if (log.isInfoEnabled()) {	
			log.info("User Logout");
		}		
		
		String forwardURL = "/switch.do?prefix=&page=/index.do";			

		//̵  .
		return new ActionForward(forwardURL, true);
	}
}