package net.javajigi.user.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import net.javajigi.abs.action.SignonAction;
import net.javajigi.user.model.User;
import net.javajigi.user.model.UserManager;

import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

/**
 * @struts.action
 *      path="/user_view"
 *      scope="request"
 *
 * @struts.action-forward
 *      name="user_view"
 *      path="/user_view.jsp"
 */
public class ViewAction  extends SignonAction {

	public ActionForward doExecute(
		ActionMapping mapping,
		ActionForm form,
		HttpServletRequest request,
		HttpServletResponse response)
		throws Exception {
		String userId = request.getParameter("userId");
		
		UserManager manager = UserManager.instance();
		User user = manager.findUser(userId);
		
		request.setAttribute("user", user);		
			
		return mapping.findForward("user_view");
	}
}
